org.richfaces.application.push.impl

## Class TopicImpl

- java.lang.Object
- - org.richfaces.application.push.impl.AbstractTopic
  - - org.richfaces.application.push.impl.TopicImpl

- All Implemented Interfaces:
    org.richfaces.application.push.Topic

      public class TopicImpl
      extends AbstractTopic

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicImpl(org.richfaces.application.push.TopicKey key, TopicsContextImpl topicsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `publish(org.richfaces.application.push.TopicKey key, Object messageData)`
    `void` | `publishEvent(org.richfaces.application.push.TopicEvent event)`

    - ### Methods inherited from class org.richfaces.application.push.impl.AbstractTopic

      `addTopicListener, checkSubscription, getKey, getMessageDataSerializer, isAllowSubtopics, removeTopicListener, setAllowSubtopics, setMessageDataSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopicImpl

          public TopicImpl(org.richfaces.application.push.TopicKey key,
                   TopicsContextImpl topicsContext)

  - ### Method Detail

    - #### publish

          public void publish(org.richfaces.application.push.TopicKey key,
                     Object messageData)
                       throws org.richfaces.application.push.MessageException

      Specified by:
        `publish` in interface `org.richfaces.application.push.Topic`
      Specified by:
        `publish` in class `AbstractTopic`
      Throws:
        `org.richfaces.application.push.MessageException`

    - #### publishEvent

          public void publishEvent(org.richfaces.application.push.TopicEvent event)

      Specified by:
        `publishEvent` in interface `org.richfaces.application.push.Topic`
      Overrides:
        `publishEvent` in class `AbstractTopic`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.